Results 1 to 3 of 3

Thread: Install some packages

  1. #1
    Mr-neon NNTP User

    Default Install some packages

    Hi,

    I'm connected over a SSH to a SLES10 Server and I want to install the following packages:

    Apache 2.2.3
    Suhosin 0.9.6.2
    PHP 5.2.5

    I have the packages as rpm and the problem is the dependencies hell :-/ There is a proxy configure in YaST but I doesn't find any repository that work and if I try to add an image as repository I got an error that the images can't be read.

    I'm a beginner in *nix operating systems, so I don't know how to bypass the dependencies hell. I hope someone can help me.

    best regards,
    neon

  2. #2

    Default Re: Install some packages

    First things first. What do you mean you have some rpms you want to install? Where did you find them? Are they built for SLES-10?
    The official way of installing packages, especially in an SLES machine is through Yast, which by the way has the packages you need and also deals with the dependencies.

    Now to invoke yast just give the command "yast" on the ssh prompt and the ncurses based yast will run. From there you can navigate to the software management module and install/search any package you want. If you have a good network connection to the SLES machine you can connect to it with:"ssh -X myuser@machine-ip". The "-X" part allows you to run graphical applications on the remote machine and display the results on your screen. So after you log in with that option instead of "yast", give the command "yast2" and you will have the GUI-version of yast at your disposal.

    Also the proxy you mentioned and the repositories ARE NOT the same thing. You have confused some terms I think.
    In this bed I made for me
    Is where I sleep I really feel

  3. #3
    platinum NNTP User

    Default Re: Install some packages

    the best thing for you to, in my opinion, is to first get to the
    correct place to ask..

    this is forums.opensuse.org where a 'community' of users and
    *volunteer* helpers of various experience levels try to help each
    other as we bash the bugs out of ever higher numbered releases of free
    (as in beer) openSUSE..

    most here are now on 11.1, some are already looking at 11.2

    eventually what are doing today will result in Novell's commercial
    release of SLES12, which Novell will SELL service and support for via
    subscriptions..

    what they sell SLES (and Desktop SLED) will not be exactly like what
    we are bashing now...and, it certainly isn't exactly like your 10...

    so today, you are paying some sort of subscription to use your SLES10
    and i'd suggest you hop over to forums.novell.com where there are
    *experts* to help you in a community fashion, *plus* i believe you can
    probably find lots of help in how-tos there AND get email support
    (though it might not be lightening fast...i don't know, i've never
    tried it as i've never booted SLES or D..

    not sure, but i think all you need to do is connect to the correct SLE
    repositories and install the software you seek....sorry, i can't
    helpful...(but, i do know that our openSUSE repositories won't work
    for you...and you must have a trial or paid subscription to access the
    SLE* repos)

    --
    platinum
    Note: Accuracy, completeness, legality, or usefulness of this posting
    may be illusive.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •